0

ERROR [Sitecore Services]: Failed to load Feature.FormsExtensions.Controllers.FieldBindingMapApiController, Feature.FormsExtensions

Does anyone know what this error means? I'm using Sitecore FormsExtensions version sc10.1-4.0.2 on Sitecore 10.2. The documentation site for this extensions is offline. The source code only references FieldBindingMapApiController in the readme for version 1.4.1

Here is the repo for Sitecore Forms Extension

enter image description here

2
  • usually, this error occurs if the controller is unable to present in the webroot. Please cross check if the latest dll is present in the webroot. Mar 7, 2023 at 18:19
  • @SudheerSuggu best I can tell, it is the right version that comes with this version's download. I will include the image in the original question.
    – gjakovaime
    Mar 7, 2023 at 18:34

1 Answer 1

0

That must be an issue with upgrading from older version of Sitecore.Forms.Extensions to the newer version.

In Sitecore.Forms.Extensions for Sitecore 9.0 there was a config file App_Config/Include/Feature/FormsExtensions/Feature.FormsExtensions.ApiServices.config. It referenced Feature.FormsExtensions.Controllers.FieldBindingMapApiController as allowedController.

That config file is no longer there in newer version at all. So if you upgraded, the file was never overwritten with new version of that file and it's still there, trying to use FieldBindingMapApiController which is not there in new dll.

Just remove App_Config/Include/Feature/FormsExtensions/Feature.FormsExtensions.ApiServices.config file.

1
  • Thank you Marek, we didn't clean up the configs properly. This answer was very helpful.
    – gjakovaime
    Mar 8, 2023 at 12:30

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.